org.eclipse.rdf4j.query.algebra.helpers

## Class QueryModelTreePrinter

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.helpers.QueryModelTreePrinter

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>

      public class QueryModelTreePrinter
      extends AbstractQueryModelVisitor<RuntimeException>

  QueryModelVisitor implementation that "prints" a tree representation of a query model. The tree representations is printed to an internal character buffer and can be retrieved using `getTreeString()`. As an alternative, the static utility method `printTree(QueryModelNode)` can be used.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryModelTreePrinter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTreeString()`
    `protected void` | `meetNode(QueryModelNode node)` Method called by all of the other `meet` methods that are not overridden in subclasses.
    `static String` | `printTree(QueryModelNode node)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryModelTreePrinter

          public QueryModelTreePrinter()

  - ### Method Detail

    - #### printTree

          public static String printTree(QueryModelNode node)

    - #### getTreeString

          public String getTreeString()

    - #### meetNode

          protected void meetNode(QueryModelNode node)

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all of the other `meet` methods that are not overridden in subclasses. This method can be overridden in subclasses to define default behaviour when visiting nodes. The default behaviour of this method is to visit the node's children.
      Overrides:
        `meetNode` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `node` - The node that is being visited.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.